Package Details: openafs-modules-dkms 1.8.6-3

Git Clone URL: https://aur.archlinux.org/openafs-modules-dkms.git (read-only, click to copy)
Package Base: openafs-modules-dkms
Description: Kernel module for OpenAFS (dkms)
Upstream URL: http://www.openafs.org
Licenses: custom:"IBM Public License Version 1.0"
Conflicts: openafs<1.6.6-2, openafs-features-libafs, openafs-modules
Provides: openafs-modules=1.8.6
Submitter: Bevan
Maintainer: Bevan
Last Packager: Bevan
Votes: 17
Popularity: 0.049621
First Submitted: 2014-03-23 13:24
Last Updated: 2020-10-17 21:51

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

alexpe87 commented on 2015-05-03 11:49

Kernel is 4.0-1, usually I had no issues until now.

alexpe87 commented on 2015-05-03 11:48

Sorry for spamming your packages, but I got this problem when building the current version of this package:

Creating symlink /var/lib/dkms/openafs/1.6.11/source ->
/usr/src/openafs-1.6.11

DKMS: add completed.

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
(./configure --prefix=/usr --sysconfdir=/etc --sbindir=/usr/bin --libexecdir=/usr/bin --with-linux-kernel-packaging --disable-fuse-client --with-linux-kernel-headers=/usr/lib/modules/4.0.1-1-ARCH/build && make )....(bad exit status: 1)
Error! Bad return status for module build on kernel: 4.0.1-1-ARCH (x86_64)
Consult /var/lib/dkms/openafs/1.6.11/build/make.log for more information.
error: command failed to execute correctly

Bevan commented on 2014-10-06 17:11

I just added the two patches for linux 3.17 since it hit [testing]. I only tested the build and functionality on linux 3.16 though. If there are any problems please report them.

nickoe commented on 2014-08-19 07:52

@Bevan, thank you for maintaining, works great now. :)

Bevan commented on 2014-08-17 09:49

Hi all. I was on vacation and therefore could not prepare the packages for linux 3.16. I will do this as soon as possible, hopefully during the day.

nickoe commented on 2014-08-17 08:58

@seidler2547, did you patch it and successfully build it? I tried to apply the patches:

Linux 3.16: Convert to new write_iter/read_iter ops
Linux 3.16: Switch to iter_file_splice_write

But I still get the same error when it tried to build the kernel module.

dmz commented on 2014-08-16 19:59

I believe this is missing a dependency on linux-headers.

seidler2547 commented on 2014-08-14 19:55

Turns out the patches are already in git (see http://git.openafs.org/?p=openafs.git;a=history;f=src/afs/LINUX/osi_vnodeops.c;h=e03187f9db865ad19d7a86b4d2370b56c838c917;hb=HEAD ), but there's no release yet.

seidler2547 commented on 2014-08-14 19:44

I tried to replace generic_file_splice_write with the new iter_file_splice_write but I could only show directories, accessing files would give a NULL pointer dereference in the kernel. So I think we have to wait for upstream patches, unless someone is really competent to fix this.

nickoe commented on 2014-08-14 14:20

I get the same error as totsilence. I have rebuild the main package, openafs 1.6.9-1.